// hooks/useScrollMemory.js
import { useEffect } from 'react';

const useScrollMemory = (key) => {
  useEffect(() => {
    const storedScrollPos = localStorage.getItem(key) || 0;
    window.scrollTo(0, storedScrollPos);
    
    const handleScroll = () => {
      localStorage.setItem(key, window.scrollY);
    };

    window.addEventListener('scroll', handleScroll);

    return () => {
      window.removeEventListener('scroll', handleScroll);
    };
  }, [key]);
};

export default useScrollMemory;